%global momorel 3
%global md5sum_src0 87fb532cfe2085f81fe824c17f8836eb
%global md5sum_src1 742fe2c3f1715eb7f7903c347521d4ee

Summary: galago library for python 
Name: galago-sharp
Version: 0.5.0
Release: %{momorel}m%{?dist}
URL: http://www.galago-project.org/specs/notification/ 
%NoSource 0 http://www.galago-project.org/files/releases/source/%{name}/%{name}-%{version}.tar.gz %{md5sum_src0}
%NoSource 1 http://www.galago-project.org/files/releases/source/libgalago/libgalago-0.5.1.tar.gz %{md5sum_src1}
Patch0: galago-sharp-0.5.0-libgalago.patch
Patch1: galago-sharp-0.5.0-nunit.patch
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: mono-devel >= 1.1.17.1
BuildPreReq: gtk-sharp-devel >= 2.10.0
BuildPreReq: libgalago-devel >= 0.5.1
BuildPreReq: perl-XML-LibXML

%description
Galago-Gtk# for Mono v0.1.0

%package devel
Summary:	Files for development using %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains pkg-config file for development of programs
using %{name}.

%prep
%setup -q
%patch0 -p1 -b .libgalago
%patch1 -p1 -b .nunit

cp %{SOURCE1} sources

%build
autoreconf -vfi
%configure
%make

%install
rm -rf --preserve-root %{buildroot}

make DESTDIR=%{buildroot} install
%if %_lib != lib
mkdir -p  %buildroot%_prefix/lib/
mv %buildroot%_libdir/mono %buildroot%_prefix/lib/
perl -pi -e "s^%_libdir^%_prefix/lib^" %buildroot%_libdir/pkgconfig/galago-sharp.pc
%endif

find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_prefix}/lib/mono/gac/galago-sharp/1.0.0.0__a09f8068634671bb/galago-sharp.dll
%{_prefix}/lib/mono/galago-sharp/galago-sharp.dll
%{_datadir}/gapi-2.0/galago-api.xml

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/galago-sharp.pc

%changelog
* Sun Jan  7 2007 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.1.0-3m)
- add BuildPreReq: perl-XML-LibXML

* Mon Sep  4 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.1.0-2m)
- revise %install section for x86_64

* Sun Sep  3 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.1.0-1m)
- initila build
